# $Id: e-smith-horde.spec,v 1.22 2010/05/11 04:07:35 mrjhb3 Exp $

Summary: e-smith specific Horde configuration and templates.
%define name smeserver-horde
Name: %{name}
%define version 11.0.0
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: smeserver-base >= 4.9.44, php-horde-horde >= 5.2, mariadb
Requires: smeserver-apache >= 2.6.0-19
BuildRequires: smeserver-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: horde-h3, e-smith-horde, imp-h3, e-smith-imp
Obsoletes: ingo-h3, e-smith-ingo, turba-h3, e-smith-turba
Obsoletes: kronolith-h3, smeserver-kronolith, nag-h3, smeserver-nag
Obsoletes: mnemo-h3, smeserver-mnemo
Requires: php-horde-content, php-horde-imp, php-horde-ingo, php-horde-kronolith 
Requires: php-horde-mnemo, php-horde-nag, php-horde-turba
# optional functions we provide
Requires: php-horde-Horde-ActiveSync
Requires: php-horde-Horde-Service-Facebook
Requires: php-horde-Horde-Service-Twitter
Requires: php-pear-Date-Holidays-Australia, php-pear-Date-Holidays-Denmark 
Requires: php-pear-Date-Holidays-Germany, php-pear-Date-Holidays-Italy 
Requires: php-pear-Date-Holidays-Netherlands, php-pear-Date-Holidays-Norway
Requires: php-pear-Date-Holidays-Portugal, php-pear-Date-Holidays-Russia
Requires: php-pear-Date-Holidays-Slovenia, php-pear-Date-Holidays-Sweden
Requires: php-pear-Date-Holidays-France, php-pear-Date-Holidays-Turkey 
Requires: php-horde-Horde-Text-Filter-Csstidy
Requires: timeobjects
# maybe not required, but JHB used to have them in previous installs
Requires: php-pear-Auth-SASL2
Requires: php-pear-Cache-Lite
Requires: php-pear-Console-GetoptPlus
Requires: php-pear-Crypt-Blowfish
Requires: php-pear-File-CSV
Requires: php-pear-File-Util
Requires: php-pear-HTTP
Requires: php-pear-HTTP-Request2
Requires: php-pear-HTTP_WebDAV_Server
Requires: php-pear-Log
Requires: php-pear-MDB2
Requires: php-pear-Net-URL2
Requires: php-pear-XML-Parser2
Requires: php-pear-XML-RPC2
Requires: ImageMagick

%changelog
* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-3.sme
- Set license file to GPL2.0  [SME: 12577]

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-2.sme
- Change Requires: e-smith- to Requires:smeserver-

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-1.sme
- Update Release and Version to base version and 1st release for SME11 [SME: 12518]

* Sat Mar 23 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.0.0-35.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Mar 23 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Sun Feb 05 2023 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-34.sme
- use php full path for mysql.init scripts [SME: 12296]

* Thu May 26 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-33.sme
- fix invalid domain if ForcePrimaryDomain is enabled [SME: 11980]
- fix $ldapServer is commented out if Horde ForcePrimaryDomain is disabled [SME: 11981]

* Sun Apr 17 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-32.sme
- use httpd 2.4 access control syntax [SME: 11945]

* Sat Apr 16 2022 Terry Fage <terry@fage.id.au> 1.0.0-31.sme
- fix previous patch error extra line [SME: 11694]

* Tue Apr 05 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-30.sme
- fix alarm noise when disabled [SME: 11694]

* Sun Nov 07 2021 Greg Simpson <gsimpson@mophilly.com> 1.0.0-29.sme
- Syntax error, unexpected '(T_STRING), expecting ')' [SME: 11738]
- thanks to zsolt vasarhelyi for patch test

* Sat Sep 18 2021 Terry Fage <terryf@ozemail.com.au> 1.0.0-28.sme
- Ingo filters TLS error if sieve is enabled [SME: 11628]

* Wed Mar 24 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-27.sme
- fix missing call to perl module emsith::php  [SME: 11489]

* Tue Mar 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 1.0.0-26.sme
- clean rsyslog syntax for horde [SME: 11422]

* Wed Mar 10 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-25.sme
- improved php basedir, with filtering of noise for gpg [SME: 10945]
- force SSL for horde [SME: 11443]
- fix horde not honoring switch to php-fpm 5.4 [SME: 11433]
- update mail settings for the php-pool [SME: 11431]

* Sun Feb 21 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-24.sme
- spamd SpamLearning property migrated to spamassassin SpamLearning [SME: 11376]

* Sat Feb 20 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-23.sme
- Configuration is not up to date, hash to update [SME: 11308]

* Fri Dec 11 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-22.sme
- fix wrong template path for php55, php56 and php [SME: 11255]

* Mon Dec 07 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-20.sme
- fix webmail not accessible after enabling from manager [SME: 11233]

* Tue Nov 17 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-19.sme
- update rsyslog syntax [SME: 11016]
  move fragment so syntax is similar to message

* Sat Jun 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-18.sme
- remove harcoded ports [SME: 10969]

* Tue Jun 23 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-17.sme
- add gpg to php base dir [SME: 10945]

* Wed May 13 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-16.sme
- workaround logging noise caused by libsasl [SME: 10943]

* Fri Mar 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-15.sme
- log as admin and not admin@domain for cli tasks [SME: 10910]
- fix ingo imap preferences [SME: 10912]

* Fri Mar 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-14.sme
- allow httpd-auth for calendar, tasks access using rpc.php ... [SME: 10908]
- add smeserver-horde-update event [SME: 10909]

* Fri Mar 27 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-13.sme
- avoid loss of user parameter on Primary Domain change [SME: 1005]
  this will also avoid the loss of parameter if we log with a different virtualhost
  horde preference is now stored with the SME username without @domain
- fix bad regex to strip domain [SME: 10224]
  also we can now force Primary domain to use as default email
  we can strip heading string from virtualhost domain to create email
  default identity email will update as long as no other identity is created for the user

* Wed Mar 11 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-12.sme
- fix typo in php-fpm patch [SME: 10872]

* Tue Mar 10 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-11.sme
- remove php3 references [SME: 10866]
- remove strict and warning alert from error log [SME: 10823]
- dedicated php-fpm pool for horde [SME: 10872] 

* Tue Jan 28 2020 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-8.sme
- apply patches from  John H. Bennett III [SME: 10717]
- cvs admin -ko on patch1

* Fri Apr 14 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-6.sme
- revert requires php-pear-Math_BigInteger provided by php-phpseclib-math-biginteger [SME: 9600]

* Wed Apr 12 2017 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-5.sme
- fix incorrect expansion of backends.local.php with non numerical releases [SME: 10092]
- add requires php-pear-Math_BigInteger [SME: 9600]

* Sun Jul 24 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-4.sme
- added last optionals dependencies [SME: 9645]
- added France Holidays.

* Wed Jul 06 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-3.sme
- added Requires for pear Dates  [SME: 9645]
- Activesync, timeobjects, Facebook. Twitter, Text-Filter

* Wed Jul 06 2016 Jean-Philipe Pialasse <tests@pialasse.com> 1.0.0-2.sme
- add main Required packages php-horde-* [SME: 9645]

* Sun Jun 19 2016 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.0-1
- First released build for SME10 

%description
This package adds necessary templates and configuration items
for Horde, Imp, Ingo, Kronolith, Mnemo, Nag and Turba
to work on SME Server 10

%prep
%setup
mkdir -p root/var/lib/php/horde/session
mkdir -p root/var/lib/php/horde/opcache
mkdir -p root/var/lib/php/horde/tmp

%build
for i in post-install post-upgrade
do
    mkdir -p root/etc/e-smith/events/$i
done
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
  --dir /var/lib/php/horde/session 'attr(0770,root,www)' \
  --dir /var/lib/php/horde/tmp 'attr(0770,root,www)' \
  --dir /var/lib/php/horde/opcache 'attr(0770,root,www)' \
> %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
